VectorLinux
October 24, 2014, 01:11:32 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: "FATAL module ndiswrapper not found"  (Read 9515 times)
Jerry
Vectorite
***
Posts: 119



« on: September 24, 2008, 11:56:08 am »

I just purchased the download of the 5.9.1 soho and am having the same problem
I've had with all distros attempted on this Toshiba Satellite laptop:  no wireless.

This time, though, the problem is that after getting the Realtek 8187b driver installed
into ndiswrapper, I get the error message (on modprobe nidswrapper) that it does
not exist (that nidswrapper does not exist, lsusb shows my wireless device). 

And, of course, I get "no wireless devices found" when attempting Vwifi.

I am happy to support Vector and other distros, but at some point I would like to
be able to use Vector on this laptop on the internet. 

The steps leading up to the "FATAL module ndiswrapper not found" all went well as
if ndiswrapper was loaded and working fine.  But as soon as I attempted to load
ndiswrapper I got that fatal message.

Can anybody help with this?
Logged
newt
Vectorian
****
Posts: 1132



« Reply #1 on: September 24, 2008, 12:10:34 pm »

Probably just a typo in your post, but I noticed that you spelled ndiswrapper incorrectly in your modprobe command (i.e. nidswrapper).  If you think you may have mispelled ndiswrapper in the terminal then try loading the module again with the correct spelling.  If you just mispelled it in your post then we're back to the initial problem. Grin

Good luck!
Logged
Jerry
Vectorite
***
Posts: 119



« Reply #2 on: September 24, 2008, 12:14:07 pm »

Probably just a typo in your post, but I noticed that you spelled ndiswrapper incorrectly in your modprobe command (i.e. nidswrapper).  If you think you may have mispelled ndiswrapper in the terminal then try loading the module again with the correct spelling.  If you just mispelled it in your post then we're back to the initial problem. Grin

Good luck!

lol  .. I have done that, misspelled on commands in terminal.  Not this time though.   Wink  Quadruple checked..   etc.. 
When a misspelling happens in terminal, the word, "FATAL" is not seen, just something like "command not known"
or whatever, I believe.

I am wondering if the kernel needs to be recompiled for ndiswrapper in this version of Vector.   I just wish that for
once I could have linux on this laptop.
« Last Edit: September 24, 2008, 12:15:44 pm by jerrybasham » Logged
lagagnon
Global Moderator
Vectorian
*****
Posts: 1922



WWW
« Reply #3 on: September 24, 2008, 12:56:24 pm »

I get the error message (on modprobe nidswrapper) that it does
not exist (that nidswrapper does not exist, lsusb shows my wireless device). 

Would it be that you mispelled it as you did above (it is "ndiswrapper", not "nidswrapper")?
Logged

"As people become more intelligent they care less for preachers and more for teachers". Robert G. Ingersoll
Jerry
Vectorite
***
Posts: 119



« Reply #4 on: September 24, 2008, 01:15:38 pm »

I get the error message (on modprobe nidswrapper) that it does
not exist (that nidswrapper does not exist, lsusb shows my wireless device). 

Would it be that you mispelled it as you did above (it is "ndiswrapper", not "nidswrapper")?

http://forum.vectorlinux.com/index.php?topic=7379.msg50443#msg50443
Logged
MikeCindi
Tester
Vectorian
****
Posts: 1073


« Reply #5 on: September 25, 2008, 12:11:10 pm »

This is not a typo by jerrybasham as I have gotten the same "FATAL" error when running VLwifi. The spelling is automated. I have tried installing ndiswrapper 1.53 but get the same error. So something has changed from SOHO 5.9 to 5.9.1. I hope to get that figured out soon.
Logged

The plans of the diligent lead to profit...Pro. 21:5
VL64 7.1b3                                     RLU 486143
caitlyn
Packager
Vectorian
****
Posts: 2876


WWW
« Reply #6 on: September 25, 2008, 12:14:17 pm »

There was an error in the kernel build for VL 5.9.1 and ndiswrapper wasn't included.  There is a new ndiswrapper package that solves this problem in the patches repository.  Please enable patches in gslapt or in you /etc/slapt-get/slapt-getrc file if you prefer the command line.  It wasn't enabled by default (and yes, it should have been).  Once you've done that you can install the ndiswrapper package for VL 5.9.1.
Logged

eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1
MikeCindi
Tester
Vectorian
****
Posts: 1073


« Reply #7 on: September 25, 2008, 12:19:04 pm »

Well, that makes it easy for me; I'll give it a shot tonight. Thank you.
Logged

The plans of the diligent lead to profit...Pro. 21:5
VL64 7.1b3                                     RLU 486143
ElEdwards
Member
*
Posts: 34


« Reply #8 on: September 26, 2008, 11:42:08 am »

Is there a way to download ndiswrapper in WinXP, then reboot to Vector and install it there?

XP is the only method I currently have for getting things until I can get wireless working in Vector.

El
Logged
caitlyn
Packager
Vectorian
****
Posts: 2876


WWW
« Reply #9 on: September 26, 2008, 11:49:05 am »

Navigate with your browser to:

http://vectorlinux.osuosl.org/veclinux-5.9/patches/kernel/

Download the ndiswrapper package with the .tlz extension.
Logged

eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1
newt
Vectorian
****
Posts: 1132



« Reply #10 on: September 26, 2008, 12:07:29 pm »

To add to cait's post:

Once you've downloaded the package in WinXP, reboot to VL.

You need to make sure the bolded portions below are accurate for your system. 

Mount your WinXP partition (as root, mount -t ntfs /dev/hda1 /mnt/win)
---You can find out the correct device by issuing: fdisk -l | grep ntfs
---This should return a single line (hopefully) that begins with '/dev/...', and that should be the correct device to mount.

Copy the package from your WinXP partition to your home directory (as root, cp /mnt/win/path/to/package/in/windows/ndiswrapper-1.53_2.6.25.7-i586_vectorlinux-1vl59.tlz ~/)

Install the package (as root, installpkg ~/ndiswrapper-1.53_2.6.25.7-i586_vectorlinux-1vl59.tlz)

Hope this helps
« Last Edit: September 26, 2008, 12:11:55 pm by newtor » Logged
Jerry
Vectorite
***
Posts: 119



« Reply #11 on: September 27, 2008, 04:44:14 am »

Navigate with your browser to:

http://vectorlinux.osuosl.org/veclinux-5.9/patches/kernel/

Download the ndiswrapper package with the .tlz extension.

Yay!  (to say the least!)   Grin

Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!